Skip to navigation

Inquire for the latest status of a transaction using UETR.

View as Markdown

Get the latest status of a payment transaction using unique end-to-end transaction reference (UETR). Currently, you can get the latest transaction status up to 90 days from the payment initiation date. If the latest transaction status date is 90+ days old, the endpoint responds with HTTP status 404 (not found).

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

uetrstringRequiredformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

Unique end-to-end transaction reference

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

OK
debtorobject
Debtor information
creditorobject
Object representing the receiver of a transaction.
methodobject
transactionobject
message_idstringOptional<=35 characters

Message Identification

  • If transaction.status.code = ACCC/PDNG/RJCT/ACWP then this field may be present
ultimate_debtorobjectOptional
ultimate_creditorobjectOptional
intermediarylist of objectsOptional
Intermediary agent information status
instructed_agentobjectOptional
instructing_agentobjectOptional
account_validationobjectOptional
initiating_partyobjectOptional
original_paymentobjectOptional

Either populate uetr OR (end_to_end_id AND value_date) for the refund to be processed

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error